public inbox for netdev@vger.kernel.org
 help / color / mirror / Atom feed
From: Ido Schimmel <idosch@nvidia.com>
To: Sagarika Sharma <sharmasagarika@google.com>
Cc: "David S . Miller" <davem@davemloft.net>,
	David Ahern <dsahern@kernel.org>,
	Eric Dumazet <edumazet@google.com>,
	Jakub Kicinski <kuba@kernel.org>, Paolo Abeni <pabeni@redhat.com>,
	Shuah Khan <shuah@kernel.org>, Simon Horman <horms@kernel.org>,
	Kuniyuki Iwashima <kuniyu@google.com>,
	netdev@vger.kernel.org, linux-kselftest@vger.kernel.org
Subject: Re: [PATCH net v1 2/2] selftest: net: Add test for TCP flow failover with ECMP routes.
Date: Tue, 28 Apr 2026 14:18:55 +0300	[thread overview]
Message-ID: <20260428111855.GB571865@shredder> (raw)
In-Reply-To: <20260427224243.3499162-3-sharmasagarika@google.com>

On Mon, Apr 27, 2026 at 10:42:23PM +0000, Sagarika Sharma wrote:
> From: Kuniyuki Iwashima <kuniyu@google.com>
> 
> Without the previous commit, TCP failed to switch to alternative
> IPv6 routes immediately upon carrier loss.
> 
> It would persist with the dead route until reaching the threshold
> net.ipv4.tcp_retries1, leading to unnecessary delays in failover.
> 
> Let's add a selftest for this scenario to ensure TCP fails over
> immediately upon a carrier loss event.
> 
> Before:
>   TEST: TCP IPv4 failover                                             [ OK ]
>   TEST: TCP IPv6 failover                                             [FAIL]
> 
> After:
>   TEST: TCP IPv4 failover                                             [ OK ]
>   TEST: TCP IPv6 failover                                             [ OK ]
> 
> Signed-off-by: Kuniyuki Iwashima <kuniyu@google.com>
> Signed-off-by: Sagarika Sharma <sharmasagarika@google.com>

Thanks for the test. LGTM. A couple of nits below.

[...]

> diff --git a/tools/testing/selftests/net/tcp_ecmp_failover.sh b/tools/testing/selftests/net/tcp_ecmp_failover.sh
> new file mode 100755
> index 000000000000..f857d5db84d8
> --- /dev/null
> +++ b/tools/testing/selftests/net/tcp_ecmp_failover.sh

[...]

> +
> +test_ipv4
> +test_ipv6

Maybe squash something like [1]? I ran the test without the first patch
and I get:

# ./tcp_ecmp_failover.sh 
TEST: TCP IPv4 failover                                             [ OK ]
TEST: TCP IPv6 failover                                             [FAIL]
# echo $?
0

[1]
diff --git a/tools/testing/selftests/net/tcp_ecmp_failover.sh b/tools/testing/selftests/net/tcp_ecmp_failover.sh
index f857d5db84d8..8b7a2d82c442 100755
--- a/tools/testing/selftests/net/tcp_ecmp_failover.sh
+++ b/tools/testing/selftests/net/tcp_ecmp_failover.sh
@@ -205,5 +205,10 @@ test_ipv6()
 	cleanup
 }
 
+require_command socat
+require_command tcpdump
+
 test_ipv4
 test_ipv6
+
+exit "$EXIT_STATUS"

      reply	other threads:[~2026-04-28 11:19 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-04-27 22:42 [PATCH net v1 0/2] ipv6: fix ECMP route failover on carrier loss Sagarika Sharma
2026-04-27 22:42 ` [PATCH net v1 1/2] ipv6: update route serial number on NETDEV_CHANGE Sagarika Sharma
2026-04-28 11:07   ` Ido Schimmel
2026-04-28 11:21     ` Eric Dumazet
2026-04-27 22:42 ` [PATCH net v1 2/2] selftest: net: Add test for TCP flow failover with ECMP routes Sagarika Sharma
2026-04-28 11:18   ` Ido Schimmel [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260428111855.GB571865@shredder \
    --to=idosch@nvidia.com \
    --cc=davem@davemloft.net \
    --cc=dsahern@kernel.org \
    --cc=edumazet@google.com \
    --cc=horms@kernel.org \
    --cc=kuba@kernel.org \
    --cc=kuniyu@google.com \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=netdev@vger.kernel.org \
    --cc=pabeni@redhat.com \
    --cc=sharmasagarika@google.com \
    --cc=shuah@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox